/* previous red used: #de1a1a */

:root { --scrollbar-width: calc(100% - 100vw) }

* {
    box-sizing: border-box;
}

.nunito-body {
  font-family: "Nunito", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}

.nunito-headings {
    font-family: "Nunito", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

.my-font-body {
    font-family: "EB Garamond", serif;
    font-weight: 300;
    font-style: normal;
    font-optical-sizing: auto;
}

body {
    margin: 0;
    background-color: #FFFFFF;
    color: #000000;
    font-family: "EB Garamond", serif;
    font-weight: 300;
    font-style: normal;
    font-optical-sizing: auto;
    display: grid; 
}

.mm-menu {
    /* mmenu colours */
    --mm-color-background: white;
    --mm-color-text: #000000;
}

.page {
    width: 100%;
    height: 100%;
}

/* Menu */

header {
    background-color: #FFFFFF;
}

#menu-icon {
    color: #000000;
    background-color: #FFFFFF;
    border-radius: 100%;
    padding: 0.5rem;
    float: right;
}

#menu-icon:hover {
    /*color: #8FAAB7;*/
}

#mobile-menu {
    padding-right: calc(var(--scrollbar-width) + 1rem);
    align-items: center;
    justify-content: center;
}

.spacer {
    flex-grow: 1;
}

#desktop-menu-items-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 3rem;
    list-style-type: none;
    margin: 0;
    padding-block: 1rem;

    button {
        background-color: transparent;
        color: unset;
        border: none;
        font-family: unset;
        font-weight: unset;
        font-size: unset;
        cursor: pointer;
    }

    a {
        color: unset;
        text-decoration: none;
        font-size: 2.5rem;
    }
}

ul button {
    background-color: transparent;
    color: unset;
    border: none;
    font-family: unset;
    font-weight: unset;
    font-size: unset;
    cursor: pointer;
}

header .active {
    border-bottom-color: #000000;
}

header li {
    border: 2px solid transparent;
}

header li:hover {
    border-bottom-color: black;
}

h1, h2 {
    font-weight: 300;
    color: #000000;
}

h1 {
    font-size: 3rem;
}

h2 {
    text-align: left;
    font-size: 2rem;
}

#construction-icon {
    font-size: 8rem;
    text-align:center;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.section {
    width: 100%;
    min-height: 25%;
    border-block: 3px solid black;
}

/* page */

#name {
    color:#000000;
    font-weight: 200;
    font-size: 5rem;
    background-color: #FFFFFF00;
}

#name-sub-title {
    color:#000000;
    font-weight: 400;
    font-size: 2rem;
    background-color: #FFFFFF00;
    margin: -1rem 0 0 8rem;
}

#main-body {
    /* height: calc(100vh - 150px); */
    display: flex;
    overflow-y: scroll;
}



#left {
    background-color: #FFFFFF;
    width: 50%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#desktop-content {
    height: 100%;
    width: 100%;
    background-color: transparent;
    display: flex;
    justify-content: center;
    overflow-y: scroll;
}

.text-content {
    text-align: center;
    width: 100vw;
    padding: 2rem 12.5%;
    color: black;
}

/* about section styling */

.about-content {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    text-align: left;
}

.about-right-section {
    display: flex;
    flex-direction: column;
}

.simple-white-textbox {
    background-color: white;
    padding: 1rem;
    border-radius: 0.1rem;
    color: black;
    text-align: left;
}

#portrait-image {
    /* border-radius: 100%; */
}

/* mobile */
@media only screen and (max-width: 980px) {
    .about-content {
        flex-direction: column;
    }
    #portrait-image-mobile {
        width: 20rem;
        height: 20rem;
        display: block;
    }
    #portrait-image-desktop {
        display: none;
    }
    #contact-form {
        width: 100%;
    }
}

@media only screen and (max-width: 400px) {
    h1 {
        font-size: 2.6rem;
    }
}

/* research section styling */

.long-section-content {
    text-align: left;
}

/* desktop */
@media only screen and (min-width: 980px) {
    .about-content {
        flex-direction: row;
    }
    #portrait-image-desktop {
        width: 35rem;
        margin-right: 4rem;
        display: block;
        max-width: 350px;
    }
    #portrait-image-mobile {
        display: none;
    }
    #contact-form {
        width: 50%;
        padding-inline: 1rem;
    }
}

/* contact form styling */

#contact-form form {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.form-input {
    border-radius: 0.2rem;
    border: none;
    padding: 0.5rem;
    resize: none;
    font-size: 1rem;
    outline: 2px solid rgb(223, 222, 222);
}

.form-input:focus-visible, .form-btn:focus-visible {
    outline: 2px solid black;
}

.form-btn {
    border-radius: 0.2rem;
    background-color: #FFFFFF;
    padding: 0.5rem;
    border: none;
    color: black;
    font-family: unset;
    font-size: 1rem;
    cursor: pointer;
    width: 150px;
    float: right;
    border: solid 2px rgb(223, 222, 222);
}

.form-btn:hover {
    color: black;
    border-color: black;
}

.form-btn:active {
    color: rgb(223, 222, 222);
    border-color: rgb(223, 222, 222)
}

/* filtering */

.filterable-content .mix{
    display: none;
}

/* reactive scss */

/* hiding/showing elements for mobile */
@media only screen and (max-width: 980px) {
    #desktop-menu, #left {
        display: none;
    }
    #mobile-menu {
        display: flex;
    }
    .mobile-heading {
        display: block;
    }
    .contact-info {
        flex-direction: column;
    }
    #contact-img {
        width: 100%;
        margin-bottom: 1rem;
    }
    .project-list-section {
        flex-direction: column;
    }
    .desktop-only {
        display: none !important;
    }
    .image-row {
        flex-direction: column;
    }
    .image-row-item {
        width: 100%;
    }
    .teaching-page-content {
        flex-direction: column;
        align-items: center;
        gap: 1rem;
    }
    .teaching-page-img {
        width: 100%;
        max-width: 500px;
    }
}

/* hiding/showing elements for desktop */
@media only screen and (min-width: 980px) {
    #desktop-menu {
        display: block;
        position: fixed;
        width: 100%;
    }
    #mobile-menu, .mobile-heading {
        display: none;
    }
    #main-body {
        margin-top: 100px;
    }
    .contact-info {
        flex-direction: row;
    }
    #contact-img {
        width: 50%;
    }
    .project-list-section {
        flex-direction: row;
    }
    .mobile-only {
        display: none !important;
    }
    .image-row-item {
        width: 45%;
    }
    .teaching-page-img {
        width: 350px;
        height: 525px;
        margin-right: 4rem;
    }
}

.teaching-page-content {
    display: flex;
}

.contact-info {
    display: flex;
    align-items: center;
}

/* project sections */
.project-item {
    display: flex;
    margin-block: 2rem;
}

.project-img-container {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.project-img {
    width: 100px;
    height: 100px;
    background-color:#FFFFFF;
    border:black 2px solid;
}

.project-item-content {
    width: 100%;
}

.project-title {
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
}

.project-title-inline {
    font-weight: bold;
}

.project-list-section {
    display:flex;
    align-items: center;
}

.project-list-images {
    width: 65%;
}

.project-list-img {
    width: 100%;
}

.project-list {
    text-align: left;
    padding-inline: 1rem;
}

/* Image Row Styling */

.image-row {
    display: flex;
    gap: 3rem;
    align-items: center;
    justify-content: center;
    margin-block: 1rem;
}

#writing-projects-title {
    margin-left: 4rem;
}

#dramaturgy-projects-title {
    margin-right: 2rem;
}

/* post-it-note stylings */
.post-it-container {
    display: grid;
    width: 100%;
    max-width: 340px;
}

.post-it-container h2 {
    /* font-size: 10%; */
}

.post-it-text, .post-it-img {
    width: 100%;
    grid-column: 1;
    grid-row: 1;
}

.post-it-text {
    display: flex;
    align-items: center;
    justify-content: center;
}